package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFInstance;
import com.sa.ibiz.demo.demo.service.dto.WFInstanceSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFInstance] 服务对象接口
 */
public interface WFInstanceService extends IService<WFInstance>{

		WFInstance get(WFInstance et);
	boolean remove(WFInstance et);
		WFInstance userCancel(WFInstance et);
	boolean getDraft(WFInstance et);
	boolean update(WFInstance et);
	boolean create(WFInstance et);
	boolean checkKey(WFInstance et);
		WFInstance restart(WFInstance et);
    List<WFInstance> listDefault(WFInstanceSearchFilter filter) ;
	Page<WFInstance> searchDefault(WFInstanceSearchFilter filter);
	/**	 实体[WFInstance] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }